org.eclipse.microprofile.opentracing.tck.application

## Class TestServerSkipAllWebServices

- java.lang.Object
- - org.eclipse.microprofile.opentracing.tck.application.TestServerSkipAllWebServices

    @Path(value="skipAll")
    public class TestServerSkipAllWebServices
    extends Object

Test JAXRS web service which should not be traced.

### Field Summary

Fields
`static String` `REST_EXPLICITLY_TRACED`
`static String` `REST_NESTED_PATH`
`static String` `REST_SIMPLE_PATH`
`static String` `REST_TEST_SKIP_SERVICE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`TestServerSkipAllWebServices()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `explicitlyTraced()`
`jakarta.ws.rs.core.Response` `nestedPath()`
`jakarta.ws.rs.core.Response` `simplePath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REST_TEST_SKIP_SERVICE_PATH

    public static final String REST_TEST_SKIP_SERVICE_PATH

See Also:
  Constant Field Values

#### REST_SIMPLE_PATH

    public static final String REST_SIMPLE_PATH

See Also:
  Constant Field Values

#### REST_NESTED_PATH

    public static final String REST_NESTED_PATH

See Also:
  Constant Field Values

#### REST_EXPLICITLY_TRACED

    public static final String REST_EXPLICITLY_TRACED

See Also:
  Constant Field Values

### Constructor Detail

#### TestServerSkipAllWebServices

    public TestServerSkipAllWebServices()

### Method Detail

#### simplePath

    @GET
     @Path(value="simple")
     @Produces(value="text/plain")
    public jakarta.ws.rs.core.Response simplePath()

#### nestedPath

    @GET
     @Path(value="simple/nested")
     @Produces(value="text/plain")
    public jakarta.ws.rs.core.Response nestedPath()

#### explicitlyTraced

    @GET
     @Traced
     @Path(value="explicitlyTraced")
     @Produces(value="text/plain")
    public jakarta.ws.rs.core.Response explicitlyTraced()